Bug Tracker – Bug 456

Powerups client and server problems

Last modified: 2016-11-15 00:59:41 UTC
Bug 456 - Powerups client and server problems
Summary: Powerups client and server problems
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.x Alpha
Hardware: All All
: P2 minor
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 424
  Show dependency tree
 
Reported: 2008-05-23 22:15 UTC by GhostlyDeath
Modified: 2016-11-15 00:59 UTC (History)
4 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description GhostlyDeath 2008-05-23 22:15:36 UTC
1) Have player A pick up a blur sphere.
2) Make another player connect, Player A isn't fuzzy.
3) Have someone pickup a another blur sphere

The player who picks it up stays fuzzy forever
Comment 1 Denis Lukianov 2008-05-24 02:46:03 UTC
cannot reproduce. however, i've noticed that when the second client connects, the picked up sphere appears clientside even though it has already been picked up on the server
Comment 2 Denis Lukianov 2008-05-24 03:12:26 UTC
(In reply to comment #1)
> cannot reproduce. however, i've noticed that when the second client connects,
> the picked up sphere appears clientside even though it has already been picked
> up on the server

this bit has been fixed in r826
Comment 3 Russell Rice 2009-11-20 06:41:45 UTC
This is a doozer, I had a look into this one and I can think of 2 options:

#1

Solution: Send partial invisibility of player to all other players that connect
Drawback: Exploitable, anyone with a modified client can just throw this info away and see the player again

#2

Solution: Remove player from other players/clients view completely (full invisibility), but keep sounds/projectiles/hitscans/line usage/anything else visible
Drawback: Its Not Vanilla(TM)

Any other ideas?
Comment 4 Charlie Gunyon 2010-08-26 03:04:02 UTC
I think Russell brings up a good point about how modified clients could just ignore the invisibility flag, however, invisibility spheres are only rarely used in competitive games.  I'd suggest the best way to handle this is to make it a server cvar, maybe like sv_force_invisibility (not sure about the convention used for cvars...) which, when true, does what Russell suggests (not sending position information at all, just sounds, etc.).
Comment 5 Ralph Vickers 2016-11-15 00:59:41 UTC
Tested in 24889a9 and can confirm that this bug was fixed at one point and does not occur now. Marking fixed